.block-external-contents {
    margin-top: 96px;
    margin-bottom: 96px;
}
.block-external-contents__intro {
    align-items: flex-start;
    margin-bottom: 48px;
}
.block-external-contents__intro__content {
    --custom-theme-flex-span: 7;
}
.block-external-contents__intro__content > :first-child {
    margin-top: 0;
}
.block-external-contents__intro__content > :last-child {
    margin-bottom: 0;
}
.block-external-contents__intro__content .wp-block-heading {
    margin-bottom: 20px;
}
.block-external-contents__intro__action {
    --custom-theme-flex-span: 5;
    display: flex;
    justify-content: flex-end;
}

.block-external-contents__about-link {
    display: none;
}

.is-style-slider.block-external-contents {
    overflow: hidden;
}
.is-style-slider .block-external-contents__list {
    flex-wrap: wrap;
    overflow: visible!important;
}
.block-external-contents__slider-arrows {
    margin-top: 48px;
    display: flex;
    justify-content: flex-end;
}

.external-content {
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    border-radius: 8px;
    overflow: hidden;
    text-decoration: none;
    color: #FFF;
    transition: box-shadow 0.5s ease-in-out;
}
.external-content:hover {
    box-shadow: 0px 4px 14px rgba(0, 0, 0, 0.15);
}

.external-content__image {
    position: absolute;
    z-index: 1;
    inset: 0;
    transition: 550ms ease-in-out;
}
.external-content:hover .external-content__image {
    transform: scale(1.05);
}
.external-content__image::before {
    content: '';
    position: absolute;
    z-index: 1;
    inset: 0;
    background: linear-gradient(180deg, rgba(72, 77, 82, 0) -15.35%, rgba(72, 77, 82, 0.6) 88%);
}

.external-content__image img {
    position: relative;
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.external-content__title,
.external-content__secondary-title,
.external-content__icon {
    position: relative;
    z-index: 2;
    margin: 0;
}

.external-content__icon {
    position: absolute;
    width: 44px;
    height: 44px;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #FFF;
    border-radius: 8px;
    transition: 0.3s ease-out;
}
.external-content__icon .icon {
    width: 20px;
    height: auto;
    color: var(--wp--preset--color--blue);
    transition: 0.3s ease-out;
}
.external-content__icon .icon path {
    transform-origin: 50% 50%;
    transition: 0.3s ease-out;
}
.external-content__icon:hover {
    background-color: var(--wp--preset--color--blue);
}
.external-content__icon:hover .icon {
    color: #FFF;
}

.is-style-slider .external-content {
    padding: 17px;
    aspect-ratio: 412/300;
    gap: 2px;
}
.is-style-slider .external-content__title {
    order: 2;
    font-size: 1.5rem;
    line-height: 1.3;
    font-weight: 700;
    text-transform: uppercase;
}
.is-style-slider .external-content__secondary-title {
    order: 1;
    font-size: 0.875rem;
    line-height: 1.3;
}
.is-style-slider .external-content__icon {
    right: 17px;
    top: 17px;
}

.is-style-two-columns {
    margin-bottom: 60px;
}
.is-style-two-columns .block-external-contents__list {
    flex-wrap: wrap;
}

.is-style-two-columns .block-external-contents__item {
    --custom-theme-flex-span: 6;
}
.is-style-two-columns .block-external-contents__item:nth-child(even) {
    transform: translateY(190px);
}
.is-style-two-columns .block-external-contents__item:nth-child(even):last-child {
    margin-bottom: 190px
}
.is-style-two-columns .external-content__image::before {
    background: linear-gradient(180deg, rgba(102, 102, 102, 0) 37.35%, rgba(0, 0, 0, 0.56) 82.48%);
}
.is-style-two-columns .external-content {
    padding: 24px;
    aspect-ratio: 1;
    gap: 12px;
}

.is-style-two-columns .external-content__icon {
    right: 24px;
    top: 24px;
}



@media screen and (max-width: 991px) {
    .block-external-contents {
        margin-top: 68px;
        margin-bottom: 68px;
    }

    .block-external-contents__slider-arrows {
        display: none;
    }
    .block-external-contents__intro__action {
        display: none;
    }
    .block-external-contents__intro__content{
        --custom-theme-flex-span: 10;
    }
    .block-external-contents__about-link {
        display: block;
        margin-top: 34px;
    }
}

@media screen and (max-width: 767px) {
    .block-external-contents__intro {
        margin-bottom: 32px;
    }
    .block-external-contents__intro__content {
        --custom-theme-flex-span: 12;
    }
    .block-external-contents__intro__content > :last-child {
        margin-bottom: 0;
    }
    .external-content__title {
        font-size: 1.5rem;
    }
    .is-style-two-columns .block-external-contents__item {
        --custom-theme-flex-span: 12;
    }
    .is-style-two-columns .external-content {
        aspect-ratio: 335/206;
    }
    .is-style-two-columns .block-external-contents__item:nth-child(even) {
        transform: none;
        margin-bottom: 0!important;
    }

    .is-style-two-columns .external-content__image::before {
        background: linear-gradient(180deg, rgba(102, 102, 102, 0) 15%, rgba(0, 0, 0, 0.56) 82.48%)
    }


}

